// FLTK callback functions for butt
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef FL_CALLBACKS_H
#define FL_CALLBACKS_H

enum { STREAM_TIME = 0, REC_TIME, SENT_DATA, REC_DATA };

class flgui;

extern int display_info;
extern flgui *fl_g;

void button_cfg_cb();
void button_info_cb();
void button_record_cb();
void button_connect_cb();
void choice_cfg_cat_cb();
void choice_cfg_dev_cb();
void button_add_srv_ok_cb();
void button_disconnect_cb();
void button_add_icy_ok_cb();
void button_cfg_del_srv_cb();
void button_cfg_del_icy_cb();
void choice_cfg_act_srv_cb();
void choice_cfg_act_icy_cb();
void button_cfg_add_srv_cb();
void button_cfg_add_icy_cb();
void choice_cfg_bitrate_cb();
void button_cfg_song_go_cb();
void choice_cfg_edit_srv_cb();
void choice_cfg_edit_icy_cb();
void radio_cfg_codec_mp3_cb();
void radio_cfg_codec_ogg_cb();
void button_cfg_srv_apply_cb();
void button_cfg_icy_apply_cb();
void button_add_srv_cancel_cb();
void button_add_icy_cancel_cb();
void radio_cfg_channel_mono_cb();
void radio_cfg_channel_stereo_cb();

void ILM216_cb();

#endif

