// FLTK GUI related functions
//
// Copyright 2007 by Daniel Noethen.
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//

#ifndef FL_FUNCS_H
#define FL_FUNCS_H

/*enum {
    TRESHOLD_1 = 200,
    TRESHOLD_2 = 500,
    TRESHOLD_3 = 1000,
    TRESHOLD_4 = 3000,
    TRESHOLD_5 = 7000,
    TRESHOLD_6 = 14000,
    TRESHOLD_7 = 22000,
    TRESHOLD_8 = 27000,
    TRESHOLD_9 = 30000,

    DELAY = 1500
};*/

enum {
    TRESHOLD_1 = 200,
    TRESHOLD_2 = 500,
    TRESHOLD_3 = 1000,
    TRESHOLD_4 = 3000,
    TRESHOLD_5 = 7000,
    TRESHOLD_6 = 14000,
    TRESHOLD_7 = 22000,
    TRESHOLD_8 = 27000,
    TRESHOLD_9 = 30000,

    DELAY = 500//1500
};


#define PRINT_LCD(msg, len, home, clear) print_lcd(msg, len, home, clear)      //prints text to the LCD
#define SHOW_GUI() fl_g->window_main->show();                                   //show the gui window
#define GUI_LOOP() Fl::run();
#define CHECK_EVENTS() Fl::check()
#define ALERT(msg) fl_alert(msg)

void fill_cfg_widgets();
void print_info(const char* info, int info_type);
void print_lcd(const char *text, int len, int home, int clear);
void vu_meter(short left, short right);
void check_xrun(void*);
void check_time(void*);
void check_frames(void*);
void check_if_disconnected(void*);


#endif
